#!/etc/opt/openit/perl -w

use strict;

my $cfg = "/etc/opt/openit/openit.env";
my $old = "/etc/opt/openit/openit.env.old";
my $new = "/etc/opt/openit/openit.env.new";

my @lines;

# Only root can patch
if ( $< ne 0 ) {
    die "Error: Patching must be done as 'root'!\n";
}

open(IN, "$cfg") || die "Error: Unable to read old cfg '$cfg'!\n";
# Slurp in all lines
@lines = <IN>;
close(IN);

if ( grep(/LIBPATH/, @lines) ) {
    print("Open iT ENV alrady fixed, skipping!\n");
    exit 0;
}

open(OUT, ">$new") || die "Error: Can't write new cfg '$new'!\n";
foreach my $line (@lines) {
    print OUT $line;
    if($line =~ /^LD_LIBRARY_PATH/) {
	print OUT "LIBPATH=\$LIBPATH:\$LD_LIBRARY_PATH\n";
    }
    if($line =~ /^export.*LD_LIBRARY_PATH/) {
	print OUT "export LIBPATH\n";
    }
}
close(OUT);

if( ! rename($cfg, $old)) {
    die "Error: Unable to previous config to '$old'!\n";
}

if( ! rename($new, $cfg)) {
    die "Error: Unable to rename new config to '$cfg'!\n";
}

exit 0;
